## kernel-handbook 1.0.11

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version := 1.0.9
+version := 1.0.11
 date    := $(shell date)
 
 all: version.ent
