=== debian/changelog ===
kernel-handbook (1.0.11) unstable; urgency=low

  * Remove description of yaird and comparison with initramfs-tools
  * Mention dracut as an experimental initramfs generator
  * Explain how to build a linux-headers-common package, thanks to
    Faheem Mitha
  * Reword a few paragraphs in common-tasks, thanks to Karl Goetz
  * Bump copyright year for 2011, thanks to Jonathan Nieder
  * Refer to git repository, replacing the old svn repository
    (Closes: #627835)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 01 Jul 2011 05:01:59 +0100

kernel-handbook (1.0.10) unstable; urgency=low

  * Explain how to override official kernel configuration and change
    the ABI name, based in part on text by Faheem Mitha
  * Explain the differences between upstream versions, package versions
    and kernel versions
  * Move 'simplified patching and building' instructions up, since most
    users should be able to follow these

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 26 Apr 2011 14:51:12 +0100
