## kernel-handbook 1.0.12

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version := 1.0.11
+version := 1.0.12
 date    := $(shell date)
 
 all: version.ent
