=== debian/changelog ===
kernel-handbook (1.0.12) unstable; urgency=low

  * Update reference to svn://svn.debian.org; the hostname for
    anonymous access is now anonscm.debian.org
  * Update the description of version formats for 3.x

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 28 Sep 2011 15:38:34 +0100
