=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Uploaders: Ben Hutchings <ben@decadent.org.uk>, maximilian attems <maks@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), debiandoc-sgml
 Standards-Version: 3.9.1
-Vcs-Svn: svn://svn.debian.org/svn/kernel-handbook/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/kernel-handbook/trunk/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=kernel-handbook/kernel-handbook.git
 
 Package: debian-kernel-handbook
 Architecture: all
