## kernel-handbook 1.0.13

=== debian/changelog ===
kernel-handbook (1.0.13) unstable; urgency=low

  * Note that removed firmware is still packaged; suggested by Karl Goetz
  * Remove documentation of linux-tree package, removed in squeeze
  * Remove documentation of linux-patch-debian package, obsoleted by
    packaging changes and redundant with snapshot.debian.org
  * Remove documentation of version-specific /etc/modules files, which are
    no longer supported
  * Use 3.x version numbers and current flavour and featureset names in
    examples
  * Refer to the linux source package rather than linux-2.6
  * Remove outdated advice to try disabling ACPI and IRQ routing options
  * Remove an unnecessary version qualification
  * Update explanation of source directories for quilted linux package
  * Update example orig tarball names to indicate xz compression
  * Update hooks policy description
    - Debian 6.0 release is now in the past
    - initramfs-tools is no longer special
    - squeeze+1 has a name and number
  * Note that official Linux kernel packages will use only 2 version
    components in wheezy+1

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 17 Jun 2012 06:03:58 +0100
