=== debian/changelog ===
kernel-handbook (1.0.15) unstable; urgency=low

  [ Jonathan Nieder ]
  * Fix capitalization in "Applying patches or configuration changes"
    section
  * Add a reminder to disable CONFIG_DEBUG_INFO in 'make deb-pkg' examples

  [ Ben Hutchings ]
  * Work around debiandoc-sgml bug (#685046) to fix the 'current bug list'
    link in the 'Filing a bug against a kernel package' section

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 17 Aug 2012 02:10:14 +0100

kernel-handbook (1.0.14) unstable; urgency=low

  [ Ben Hutchings ]
  * Remove custom version from 'make deb-pkg' example (Closes: #627838)
  * Fix introduction to say the handbook describes wheezy (Closes: #651467)
  * Add a section on disk space requirements for the official'linux' package
    (Closes: #681550)
  * Add Vcs-Git control field (Closes: #638479)
  * Mark as capable of satisfying relations from foreign packages
    (Multi-Arch: foreign) (Closes: #679204)
  * Add example of using lsinitramfs command (Closes: #639846)
  * Fix reference to linux-2.6 in package description

  [ Jonathan Nieder ]
  * Explain how to narrow the regression window with "git bisect"
    when filing bugs (Closes: #627960)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 21 Jul 2012 22:15:36 +0100
