=== debian/control ===
--- 
+++ 
@@ -6,15 +6,17 @@
 Build-Depends: debhelper (>= 7.0.50~), debiandoc-sgml
 Standards-Version: 3.9.1
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=kernel-handbook/kernel-handbook.git
+Vcs-Git: git://anonscm.debian.org/kernel-handbook/kernel-handbook.git
 
 Package: debian-kernel-handbook
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: www-browser
 Description: reference to Debian Linux kernel packages and development
  A reference manual for:
  .
-  * Working on the linux-2.6 package
+  * Working on the linux package
   * Building custom kernels and modules
   * Working with initramfs images
   * Kernel team policies
