=== debian/changelog ===
kernel-handbook (1.0.16) unstable; urgency=low

  [ Uwe Kleine-König ]
  * Adapt integrity checking to kernel.org only providing signatures for
    uncompressed archives

  [ Ben Hutchings ]
  * Correct order of preparation for rebuilding official Debian kernel packages
  * Update "Building a development version of the Debian kernel package" for
    conversion to git

  [ Ian Campbell ]
  * Mention unifdef as a dependency for genorig

  [ Yusuke YATSUO ]
  * Add Japanese translation (debian-kernel-handbook-ja)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 14 Aug 2015 12:53:06 +0200
