=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Uploaders: Ben Hutchings <ben@decadent.org.uk>, maximilian attems <maks@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), debiandoc-sgml
+Build-Depends: debhelper (>= 7.0.50~), debiandoc-sgml, po4a
 Standards-Version: 3.9.1
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=kernel-handbook/kernel-handbook.git
 Vcs-Git: git://anonscm.debian.org/kernel-handbook/kernel-handbook.git
@@ -20,3 +20,19 @@
   * Building custom kernels and modules
   * Working with initramfs images
   * Kernel team policies
+
+Package: debian-kernel-handbook-ja
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Recommends: www-browser
+Description: reference to Debian Linux kernel packages and development (Japanese)
+ A reference manual for:
+ .
+  * Working on the linux package
+  * Building custom kernels and modules
+  * Working with initramfs images
+  * Kernel team policies
+ .
+ This is Japanese translation.
+
