=== debian/changelog ===
kernel-handbook (1.0.17) unstable; urgency=medium

  * debian/control: Change Vcs-Git and Vcs-Browser to canonical HTTP-S URLs
  * debian/copyright: Change URL for GPL text to use HTTP-S
  * Remove 'python' from genorig.py command lines, as this is not needed
    and is incorrect since it now needs Python 3
  * Use changelog date as document date
  * Convert all source files to DocBook format
    - Makefile,debian/control: Use xmlto to build from DocBook
    - Update Japanese translation for the format conversion
    - Use a richer set of markup elements
  * Remove statement that the final '.0' will be removed from upstream versions
  * Update 'Linus version format' to begin with 4
  * Remove references to Debian 6.0 and earlier releases, and the linux-2.6
    source package
  * Change examples to use xz compressed files with recent versions,
    instead of older bzip2 compressed files
  * Change links to use HTTP-S where possible
  * Update scope to say we're describing Debian 7 onward
  * Update copyright dates
  * Update description of modprobe configuration files
  * Suggest 'make nconfig' for configuring upstream source

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 07 Mar 2016 02:08:15 +0000
