=== debian/changelog ===
kernel-handbook (1.0.18) unstable; urgency=medium

  * Fix spelling errors "neccessary" and "priviliged" (Closes: #818577)
  * Delete obsolete mention of rebuilding the linux-base package from
    "Simple patching and building"
  * Update "Disk space requirements" to reflect that debug info is enabled by
    default
  * Remove mention of the "new packaging scheme" that is now 11 years old
  * Correct description of meta-packages in "Debian kernel packages" chapter
  * Add linux-signed and linux-image-*-unsigned to "Debian kernel packages"
    chapter
  * Update a list of i386 flavours
  * Correct the description of linux-support packages
  * Describe linux-headers-*-common* as architecture-independent
  * Disable po4a-translate's check for minimum translation percentage
  * Use debhelper compatibility level 9
  * debian/control: Update Standards-Version to 3.9.8; no changes needed
  * Update copyright dates

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 17 Jan 2017 21:14:32 +0000
