=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Uploaders: Ben Hutchings <ben@decadent.org.uk>, maximilian attems <maks@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), xmlto, po4a
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), xmlto, po4a
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/kernel-handbook/kernel-handbook.git
 Vcs-Git: https://anonscm.debian.org/git/kernel-handbook/kernel-handbook.git
