=== debian/changelog ===
kernel-handbook (1.0.19) unstable; urgency=medium

  * Point all project/Vcs URLs to Salsa
  * Direct contributions to the debian-kernel mailing list
  * Move web site to Gitlab Pages
    - This limits it to be English only for now
  * Update URL in "Building a development version of the Debian kernel package"
    to point to Salsa
  * Makefile: Always use UTC in document date
  * Remove version.ent from version control, since it can always be
    regenerated
  * Makefile: Use git commit metadata when building from an unreleased version
  * Makefile: Mark clean and po-update as phony targets
  * Makefile: Add missing dependencies to sync and language targets
  * Makefile: Use stamp files to avoid unnecessary rebuilding
  * Remove redundant text in "Building a custom kernel from the "pristine"
    kernel source", and refer to the previous section instead
  * Improve explanation of how to generate the kernel configuration
  * Note the need to change module signing options when reusing Debian
    kernel config
  * Update disk space requirements for rebuilding official Debian kernel
    packages
  * debian/copyright: Convert to machine-readable copyright format 1.0
  * Makefile: Fix locale in document date to make it reproducible,
    thanks to Eduard Sanou (Closes: #830922)
  * debian/control: Update Standards-Version to 4.1.5:
    - Set Priority: optional
    - Set Rules-Requires-Root: no
  * Update the filename where debug-info is enabled in the linux package
    (Closes: #874635)
  * Use debhelper compatibility level 11

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 25 Jul 2018 11:34:05 +0800
