=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kernel-handbook
 Section: doc
-Priority: extra
+Priority: optional
 Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Uploaders: Ben Hutchings <ben@decadent.org.uk>, maximilian attems <maks@debian.org>
-Build-Depends: debhelper (>= 9), xmlto, po4a
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/kernel-handbook/kernel-handbook.git
-Vcs-Git: https://anonscm.debian.org/git/kernel-handbook/kernel-handbook.git
+Build-Depends: debhelper (>= 11), xmlto, po4a
+Rules-Requires-Root: no
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/kernel-team/kernel-handbook
+Vcs-Git: https://salsa.debian.org/kernel-team/kernel-handbook.git
 
 Package: debian-kernel-handbook
 Architecture: all
