## kernel-handbook 1.0.20

=== debian/changelog ===
kernel-handbook (1.0.20) unstable; urgency=medium

  [ Tomasz Warniełło ]
  * Update Debian version in scope to 10

  [ Ben Hutchings ]
  * Update links to {net,serial} console documentation on www.kernel.org
  * Correct the filenames where debug-info is enabled in the linux package
  * Link to lore.kernel.org as preferred mail archive
  * Makefile: Update name of public pages directory in clean rule
  * Makefile: Generate Git version in a way that works with GitLab CI variables
  * d/salsa-ci.yml: Add CI configuration for salsa.debian.org
  * Makefile, d/salsa-ci.yml: Move pages update to CI
  * Change URL for kernel Git repository to use HTTP-S
  * Fix a plaintext HTTP URL in the Japanese translation
  * Change bisection instructions to include verifying upstream Git tags
    (Closes: #958559)
  * Change custom package building examples to use the bindeb-pkg target
  * Remove documentation of genorig.py's obsolete, insecure tarball support
  * Add new build-dependencies to bisection instructions
  * Refer to libncurses-dev instead of the now-transitional libncurses5-dev
  * Capitalise "Git" outside of command and package names
  * Update copyright dates
  * Fix reference to GRUB documentation, and drop reference to LILO
  * Remove long-outdated reference to binary module packages in the archive
  * Replace the long explanation of using module-assistant with just "m-a a-i"
  * Document explicitly how to install module-assistant
  * Introduce subsections for OOT builds with and without module-assistant
  * Document DKMS as the preferred method for OOT module builds
  * Briefly document interaction of Secure Boot with OOT modules
  * State that Salsa merge requests are now the preferred way to contribute
  * Include all authors in the contributor list
  * Revise the bug handling policy:
    - Remove reference to defunct kerneloops.org site
    - Remove mention of maintainers analysing oopses
    - Refer to bug trackers generally, not specifically bugzilla.kernel.org
    - Mention mail archives as possible existing upstream references
    - Document when and where a maintainer or submitter should report upstream
  * Makefile: Generalise translated build target
  * Disable building of Japanese translation since it is now very incomplete

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Ben Hutchings <benh@debian.org>  Mon, 03 Oct 2022 01:56:35 +0200
