=== debian/changelog ===
kernel-handbook (1.0.21) unstable; urgency=medium

  * Try to reduce pain points in rebuilding official kernel packages
    (Closes: #1022061):
    - Reorder sections in "Common kernel-related tasks" to reduce confusion
    - Deprecate older versions of test-patches
    - Recommend changing ABI name before rebuilding
    - Add command to enable parallel builds when invoking make directly
    - Avoid using fakeroot
  * Remove obsolete text referring to "patchlevels" in source packages
  * Remove redundant "bash" from debian/bin/test-patches command lines
  * Update instructions for disabling debug info (Closes: #1023773)
  * Update instructions for building linux-headers-common package
  * Update copyright years

 -- Ben Hutchings <benh@debian.org>  Mon, 08 May 2023 23:17:30 +0200
