=== debian/control ===
Source: kernel-handbook
Section: doc
Priority: optional
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Uploaders: Ben Hutchings <ben@decadent.org.uk>, maximilian attems <maks@debian.org>
Build-Depends: debhelper-compat (= 12), xmlto, po4a
Rules-Requires-Root: no
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/kernel-team/kernel-handbook
Vcs-Git: https://salsa.debian.org/kernel-team/kernel-handbook.git

Package: debian-kernel-handbook
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: www-browser
Description: reference to Debian Linux kernel packages and development
 A reference manual for:
 .
  * Working on the linux package
  * Building custom kernels and modules
  * Working with initramfs images
  * Kernel team policies

#Package: debian-kernel-handbook-ja
#Architecture: all
#Multi-Arch: foreign
#Depends: ${misc:Depends}
#Recommends: www-browser
#Description: reference to Debian Linux kernel packages and development (Japanese)
# A reference manual for:
# .
#  * Working on the linux package
#  * Building custom kernels and modules
#  * Working with initramfs images
#  * Kernel team policies
# .
# This is Japanese translation.
