## kernel-handbook 1.0.21build1

=== debian/changelog ===
kernel-handbook (1.0.21build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 15 Dec 2025 21:25:52 +0000
